use std::fs::File;
use std::io::Read;
use std::path::PathBuf;

use crate::cpu::model::CPU;
use crate::msl_result::MSLResult;

mod executor;
pub mod parser;

pub fn run_file(file_path: PathBuf, cpu: &mut CPU) -> MSLResult<String> {
    let mut file = File::open(file_path.as_path())?;
    let mut text = String::new();
    file.read_to_string(&mut text)?;
    executor::execute(text, cpu)
}
