use crate::cpu::instructions::Instruction;

/// Random access memory unit.
/// Used to store data, such as Instructions,
/// Values and addresses or chars.
#[derive(Default, Debug)]
pub struct RAM {
    pub mem: Vec<RamValue>,
    pub current_addr: usize,
}

#[derive(Clone, Debug, PartialEq)]
pub enum RamValue {
    EMPTY,
    ADDR(usize),
    INSTR(Instruction),
    VAL(i64),
    LETTER(char),
}
